Community
Civil 3D Forum
Welcome to Autodesk’s Civil 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Civil 3D topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

SURFOFFSET Command

5 REPLIES 5
Reply
Message 1 of 6
Anonymous
896 Views, 5 Replies

SURFOFFSET Command

I am having an issue using the SURFOFFSET command. When prompted to "select surfaces or regions to offset", I click on the target surface and I am returned "Not a valid object type." Can anyone help me figure out what the problem is?

5 REPLIES 5
Message 2 of 6
wfberry
in reply to: Anonymous

Perhaps I am wrong.  I believe that the surface that command is referring to is not OUR surfaces in normal Civil 3D.  It probably is referring to AutoCad surfaces (solids, etc.)

 

Bill

 

Message 3 of 6
AllenJessup
in reply to: Anonymous

I concur with @wfberry. It's not possible to offset a Civil 3D Surface at this time. See THIS idea for more info.

Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

Message 4 of 6
Anonymous
in reply to: AllenJessup

Thanks for your input. Is offsetting Civil 3D surfaces something we will be able to do in the near future?

Message 5 of 6
AllenJessup
in reply to: Anonymous

It's marked for "future consideration". I think that translates to maybe later but not real soon.

Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

Message 6 of 6
tcorey
in reply to: Anonymous

Where there's an api, there's a way:

 

;surface offset function

(vl-load-com)

(defun c:go()

  (setq srf (vlax-ename->vla-object (car (entsel "\nSelect Surface: "))))
  (while (not (= (vlax-get-property srf 'ObjectName) "AeccDbSurfaceTin"))
    (prompt "\nYou must select a TIN Surface...")
    (setq srf (vlax-ename->vla-object (car (entsel "\nSelect Surface: "))))
    )
   
  (setq newsrf (getstring "\nEnter new surface name: "))
  (setq offdist (getreal "\nEnter offset distance: "))
  (vlax-invoke-method srf 'Copy)
  (setq srf (vlax-ename->vla-object (entlast)))
  (vlax-put-property srf 'Name newsrf)
  (setq point (vlax-make-safearray vlax-vbdouble '(0 . 2)))
  (vlax-safearray-put-element point 0 0)
  (vlax-safearray-put-element point 1 0)
  (vlax-safearray-put-element point 2 offdist)
  (vl-cmdf "move" (entlast) "" (vlax-safearray->list point) "")
  (princ)
);end defun


Tim Corey
MicroCAD Training and Consulting, Inc.
Redding, CA
Autodesk Gold Reseller

New knowledge is the most valuable commodity on earth. -- Kurt Vonnegut

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Rail Community


 

Autodesk Design & Make Report